package com.ensign.crm.module.system.event;

import com.ensign.crm.module.system.dal.dataobject.user.AdminUserDO;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

import java.time.Clock;

/**
 * @Description: TODO
 * @Date: 2024/10/15 16:05
 * @Created: by ZZSLL
 */

@Getter
public class UserRegisterEvent extends ApplicationEvent {

    private final AdminUserDO adminUserDO;

    public UserRegisterEvent(Object source, Clock clock, AdminUserDO adminUserDO) {
        super(source, clock);
        this.adminUserDO = adminUserDO;
    }

    public UserRegisterEvent(Object source, AdminUserDO adminUserDO) {
        super(source);
        this.adminUserDO = adminUserDO;
    }
}
